Skip to content

updateSupplierQuote

WRITE

Update an existing supplier quote - handles exchange rate updates when currency changes.

POST /api/v1/purchasing/updateSupplierQuote
curl -X POST '<your-host>/api/v1/purchasing/updateSupplierQuote' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
"Draft""Active""Expired""Declined""Cancelled"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Active",
        "Expired",
        "Declined",
        "Cancelled"
      ]
    },
    "currencyCode": {
      "type": "string"
    },
    "expirationDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "supplierContactId": {
      "type": [
        "string",
        "null"
      ]
    },
    "supplierLocationId": {
      "type": [
        "string",
        "null"
      ]
    },
    "notes": {
      "type": [
        "string",
        "null"
      ]
    },
    "customFields": {}
  },
  "required": [
    "id"
  ]
}